yetus-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From cnaur...@apache.org
Subject yetus git commit: YETUS-404 Provide dependency checking of the python-dateutil module
Date Fri, 20 May 2016 18:35:29 GMT
Repository: yetus
Updated Branches:
  refs/heads/master 76e59c3df -> 21ed10761


YETUS-404 Provide dependency checking of the python-dateutil module

Signed-off-by: Chris Nauroth <cnauroth@apache.org>


Project: http://git-wip-us.apache.org/repos/asf/yetus/repo
Commit: http://git-wip-us.apache.org/repos/asf/yetus/commit/21ed1076
Tree: http://git-wip-us.apache.org/repos/asf/yetus/tree/21ed1076
Diff: http://git-wip-us.apache.org/repos/asf/yetus/diff/21ed1076

Branch: refs/heads/master
Commit: 21ed1076132d6a053b7fa7feb8501c21656649ba
Parents: 76e59c3
Author: Aldrin Piri <aldrin@apache.org>
Authored: Fri May 20 00:17:17 2016 -0400
Committer: Chris Nauroth <cnauroth@apache.org>
Committed: Fri May 20 11:35:01 2016 -0700

----------------------------------------------------------------------
 build.sh | 8 ++++++++
 1 file changed, 8 insertions(+)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/yetus/blob/21ed1076/build.sh
----------------------------------------------------------------------
diff --git a/build.sh b/build.sh
index bed4e3b..d9fbe89 100755
--- a/build.sh
+++ b/build.sh
@@ -24,6 +24,7 @@
 #   * maven 3.2.0+
 #   * jdk 1.7+ (1.7 in --release)
 #   * ruby + gems needed to run middleman
+#   * python + python-dateutil
 
 ## @description  Verify that all required dependencies exist
 ## @audience     private
@@ -51,6 +52,13 @@ function detect_dependencies
     exit_code=1
   fi
 
+  ! python -c 'import dateutil.parser' 2>/dev/null
+  if [ "$?" -eq "0" ]; then
+    echo "Building release docs requires the python-dateutil module" >&2
+    echo "Install it by executing 'pip install python-dateutil'" >&2
+    exit_code=1
+  fi
+
   if ! [ -x "$(command -v tar)" ]; then
     echo "Building archives requires the 'tar' command." >&2
     exit_code=1


Mime
View raw message